Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:41 2009

## Asterisk developer's documentation

# jb_info Struct Reference

`#include <jitterbuf.h>`

Collaboration diagram for jb_info:

[legend]

## Data Fields

long | cnt_contig_interp
long | cnt_delay_discont
jb_conf | conf
long | current
long | frames_cur
long | frames_dropped
long | frames_in
long | frames_late
long | frames_lost
long | frames_ooo
long | frames_out
long | jitter
long | last_adjustment
long | last_delay
long | last_voice_ms
long | losspct
long | min
long | next_voice_ts
long | resync_offset
long | silence_begin_ts
long | target

## Detailed Description

Definition at line 61 of file jitterbuf.h.

## Field Documentation

long cnt_contig_interp

Definition at line 84 of file jitterbuf.h.

Referenced by _jb_get().

long cnt_delay_discont

Definition at line 82 of file jitterbuf.h.

Referenced by history_put().

jb_conf conf

Definition at line 62 of file jitterbuf.h.

Referenced by _jb_get(), history_put(), jb_reset(), and jb_setconf().

long current

Definition at line 74 of file jitterbuf.h.

Referenced by _jb_get(), ast_cli_netstats(), construct_rr(), iax2_show_channels(), jb_next(), and jb_reset().

long frames_cur

Definition at line 71 of file jitterbuf.h.

Referenced by _queue_get(), and queue_put().

long frames_dropped

Definition at line 69 of file jitterbuf.h.

Referenced by _jb_get(), ast_cli_netstats(), and construct_rr().

long frames_in

Definition at line 65 of file jitterbuf.h.

Referenced by construct_rr(), and jb_put().

long frames_late

Definition at line 67 of file jitterbuf.h.

Referenced by _jb_get().

long frames_lost

Definition at line 68 of file jitterbuf.h.

Referenced by _jb_get(), ast_cli_netstats(), and construct_rr().

long frames_ooo

Definition at line 70 of file jitterbuf.h.

Referenced by ast_cli_netstats(), construct_rr(), and queue_put().

long frames_out

Definition at line 66 of file jitterbuf.h.

Referenced by _jb_get().

long jitter

Definition at line 72 of file jitterbuf.h.

Referenced by _jb_get(), ast_cli_netstats(), construct_rr(), history_get(), history_put(), and iax2_show_channels().

long last_adjustment

Definition at line 80 of file jitterbuf.h.

Referenced by _jb_get(), and jb_next().

long last_delay

Definition at line 81 of file jitterbuf.h.

Referenced by history_put().

long last_voice_ms

Definition at line 78 of file jitterbuf.h.

Referenced by _jb_get(), and jb_get().

long losspct

Definition at line 76 of file jitterbuf.h.

Referenced by ast_cli_netstats(), construct_rr(), decrement_losspct(), and increment_losspct().

long min

Definition at line 73 of file jitterbuf.h.

Referenced by _jb_get(), ast_cli_netstats(), construct_rr(), history_get(), and iax2_show_channels().

long next_voice_ts

Definition at line 77 of file jitterbuf.h.

Referenced by _jb_get(), and jb_next().

long resync_offset

Definition at line 83 of file jitterbuf.h.

Referenced by history_put(), and queue_put().

long silence_begin_ts

Definition at line 79 of file jitterbuf.h.

Referenced by _jb_get(), jb_next(), and jb_reset().

long target

Definition at line 75 of file jitterbuf.h.

Referenced by _jb_get(), jb_next(), and jb_reset().

The documentation for this struct was generated from the following file:

- jitterbuf.h